DROP TABLE IF EXISTS products;
CREATE TABLE products (
  id int(11) NOT NULL auto_increment,
  item_name varchar(128) DEFAULT '' NOT NULL,
  item_desc longtext DEFAULT '' NOT NULL,
  item_descde longtext DEFAULT '' NOT NULL,
  item_price decimal(10,2) DEFAULT '0.00' NOT NULL,
  item_ship decimal(10,2) DEFAULT '0.00' NOT NULL,
  item_category varchar(128) DEFAULT '' NOT NULL,
  status varchar(48) DEFAULT '' NOT NULL,
  PRIMARY KEY (id)
);
DROP TABLE IF EXISTS pages;
CREATE TABLE pages (
  id int(11) NOT NULL auto_increment,
  page_title varchar(128) DEFAULT '' NOT NULL,
  page_content longtext DEFAULT '' NOT NULL,
  PRIMARY KEY (id)
);

DROP TABLE IF EXISTS var_notify;
CREATE TABLE var_notify (
  ipn_id int(10) NOT NULL auto_increment,
  receiver_email varchar(75) NOT NULL default '',
  business varchar(75) NOT NULL default '',
  item_name varchar(127) default NULL,
  item_number varchar(127) default NULL,
  quantity int(10) default NULL,
  invoice varchar(64) default NULL,
  custom varchar(64) default NULL,
  option_name1 varchar(127) default NULL,
  option_selection1 varchar(127) default NULL,
  option_name2 varchar(127) default NULL,
  option_selection2 varchar(127) default NULL,
  num_cart_items int(10) default NULL,
  payment_status enum('Completed','Pending','Failed','Denied','Reversed') default NULL,
  pending_reason enum('echeck','intl','verify','address','upgrade','unilateral','other') default NULL,
  payment_date varchar(55) default NULL,
  settle_amount decimal(9,2) default NULL,
  settle_currency enum('USD','CAD','GBP','EUR','JPY') default NULL,
  exchange_rate varchar(15) default NULL,
  payment_gross decimal(9,2) default NULL,
  payment_fee decimal(9,2) default NULL,
  mc_gross decimal(9,2) default NULL,
  mc_fee decimal(9,2) default NULL,
  mc_currency enum('USD','CAD','GBP','EUR','JPY') default NULL,
  tax decimal(9,2) default NULL,
  txn_id varchar(50) default NULL,
  txn_type enum('web_accept','cart','send_money') default NULL,
  memo tinytext,
  first_name varchar(32) default NULL,
  last_name varchar(32) default NULL,
  address_street varchar(64) default NULL,
  address_city varchar(32) default NULL,
  address_state varchar(32) default NULL,
  address_zip varchar(25) default NULL,
  address_country varchar(32) default NULL,
  address_status enum('confirmed','unconfirmed') default NULL,
  payer_email varchar(75) default NULL,
  payer_id varchar(60) default NULL,
  payer_status enum('verified','unverified','intl_verified','intl_unverified') default NULL,
  payment_type enum('echeck','instant') default NULL,
  subscr_date varchar(55) default NULL,
  period1 varchar(10) default NULL,
  period2 varchar(10) default NULL,
  period3 varchar(10) default NULL,
  amount1 decimal(9,2) default NULL,
  amount2 decimal(9,2) default NULL,
  amount3 decimal(9,2) default NULL,
  recurring int(10) default NULL,
  reattempt int(10) default NULL,
  retry_at varchar(55) default NULL,
  recur_times int(10) default NULL,
  username varchar(32) default NULL,
  password varchar(32) default NULL,
  subscr_id varchar(50) default NULL,
  notify_version varchar(10) default NULL,
  verify_sign varchar(128) default NULL,
  status enum('VERIFIED','INVALID') default NULL,
  PRIMARY KEY  (ipn_id)
) TYPE=MyISAM;
